
<div *ngIf="hero">

    <h2>{{ hero.name | uppercase }} Details</h2>
    <div><span>id: </span> {{ hero.id }}</div>
    <div>
      <label>name:
        <input type="text" [(ngModel)]="hero.name" placeholder="name" name="" id="">
      </label>
    </div>

</div>
<button (click)="save()">save</button>
<button (click)="goBack()">go back</button>